Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form.event
Interface HtmlEditorListener

All Superinterfaces:
  BoxComponentListener, ComponentListener, FieldListener

All Known Implementing Classes:
  HtmlEditorListenerAdapter

    public interface HtmlEditorListener

extends FieldListener

Method Summary
`boolean` | `doBeforePush(HtmlEditor field, java.lang.String html)` Fires before the iframe editor is updated with content from the textarea.
`boolean` | `doBeforeSync(HtmlEditor field, java.lang.String html)` Fires before the textarea is updated with content from the editor iframe.
`void` | `onActivate(HtmlEditor field)` Fires when the editor is first receives the focus.
`void` | `onEditModeChange(HtmlEditor field, boolean sourceEdit)` Fires when the editor switches edit modes.
`void` | `onInitialize(HtmlEditor field)` Fires when the editor is fully initialized (including the iframe)
`void` | `onPush(HtmlEditor field, java.lang.String html)` Fires when the iframe editor is updated with content from the textarea.
`void` | `onSync(HtmlEditor field, java.lang.String html)` Fires when the textarea is updated with content from the editor iframe.

Methods inherited from interface com.gwtext.client.widgets.form.event.FieldListener
`onBlur, onChange, onFocus, onInvalid, onSpecialKey, onValid`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Method Detail

### onActivate

    void onActivate(HtmlEditor field)

  Fires when the editor is first receives the focus. Any insertion must wait until after this event.

  Parameters:
    `field` - this

### doBeforePush

    boolean doBeforePush(HtmlEditor field,
                         java.lang.String html)

  Fires before the iframe editor is updated with content from the textarea. Return false to cancel the push.

  Parameters:
    `field` - this
    `html` - the html
  Returns:
    false to cancel

### doBeforeSync

    boolean doBeforeSync(HtmlEditor field,
                         java.lang.String html)

  Fires before the textarea is updated with content from the editor iframe. Return false to cancel the sync.

  Parameters:
    `field` - this
    `html` - the html
  Returns:
    false to cancel sync

### onEditModeChange

    void onEditModeChange(HtmlEditor field,
                          boolean sourceEdit)

  Fires when the editor switches edit modes.

  Parameters:
    `field` - this
    `sourceEdit` - true if source edit, false if standard editing

### onInitialize

    void onInitialize(HtmlEditor field)

  Fires when the editor is fully initialized (including the iframe)

  Parameters:
    `field` - this

### onPush

    void onPush(HtmlEditor field,
                java.lang.String html)

  Fires when the iframe editor is updated with content from the textarea.

  Parameters:
    `field` - this
    `html` - the html

### onSync

    void onSync(HtmlEditor field,
                java.lang.String html)

  Fires when the textarea is updated with content from the editor iframe.

  Parameters:
    `field` - this
    `html` - the html

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD